add a link to diff page to wiki item in activity page
2008-12-18 12:48 - Jérdbme Bousquié

Status: New Start date: 2008-12-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution:

Description

Hello,

Would it be possible please to add a link on every wiki item displayed on the activity page to related diff version page ?
ex : on Project activity

Wiki edit: Index (#37) (diff) and diff links to Index/diff?version=37&version_from=36&commit=Voir+les+différences
So that, differences may be visible at a glance by users.

Thank you

History

#1 - 2009-02-26 05:05 - Thomas Capricelli

+1
(mediawiki does that :-)

#2 - 2010-02-02 11:30 - Paulo Aguiar

Yes, | also think this would be a better way to link to Wiki activity.

mediawiki goes one step further and sends the differences in the RSS feed. | don't like that as much (probably because sometimes they collapse 2 or
3 changes in one notification), but a link to the diff page would prevent me from always having to click the History link and the View Differences button
to find out which was that single word that changed in a very long page - I'd get that just from clicking the link of the Activity feed.

1 click instead of 3 clicks is always better if you ask me ;)

#3 - 2014-10-07 01:53 - Peter Becker

I really miss easy access to the diffs of Wiki pages, and my preference is to actually have some kind of summary in the feed. We do a lot of small
fixes: a bit of improved formatting, a typo fixed, etc. The in-stream diff helps sorting these from the actual content changes.
